libsysadm-install-perl_0.44-1_all.deb


Advertisement

Description

libsysadm-install-perl - module for typical installation tasks of system administrators

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsysadm-install-perl
Package version 0.44
Package release 1
Package architecture all
Package type deb
Installed size 105 B
Download size 29.49 KB
Official Mirror ftp.br.debian.org
Sysadm::Install executes shell-like commands performing typical
installation tasks: Copying files, extracting tarballs, calling make.
It has a fail once and die policy, meticulously checking the result
of every operation and calling die() immeditatly if anything fails.
Sysadm::Install also supports a dry_run mode, in which it
logs everything, but suppresses any write actions.

Alternatives

Package Version Architecture Repository
libsysadm-install-perl_0.44-1_all.deb 0.44 all Debian Main
libsysadm-install-perl - - -

Requires

Name Value
libfile-which-perl >= 1.09
liblog-log4perl-perl -
libterm-readkey-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package libsysadm-install-perl_0.44-1_all.deb
Source Package libsysadm-install-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsysadm-install-perl deb package:
    # sudo apt-get install libsysadm-install-perl

Files

Path
/usr/share/doc/libsysadm-install-perl/changelog.Debian.gz
/usr/share/doc/libsysadm-install-perl/changelog.gz
/usr/share/doc/libsysadm-install-perl/copyright
/usr/share/doc/libsysadm-install-perl/examples/ask
/usr/share/doc/libsysadm-install-perl/examples/mkperl
/usr/share/doc/libsysadm-install-perl/examples/one-liner
/usr/share/doc/libsysadm-install-perl/examples/perm_cp
/usr/share/doc/libsysadm-install-perl/examples/tap
/usr/share/doc/libsysadm-install-perl/examples/untar_in
/usr/share/man/man3/Sysadm::Install.3pm.gz
/usr/share/perl5/Sysadm/Install.pm

Changelog

2014-05-21 - Salvatore Bonaccorso <carnil@debian.org>
libsysadm-install-perl (0.44-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.44
* Add (build-)dependency for File::Which.
Add versioned Build-Depends-Indep and Depends on libfile-which-perl (>=
1.09) for File::Which use.
* Wrap and sort fields in debian/control file
* Declare compliance with Debian Policy 3.9.5
* Referesh spelling_errors.patch
2013-05-20 - Salvatore Bonaccorso <carnil@debian.org>
libsysadm-install-perl (0.43-1) unstable; urgency=low
* Imported Upstream version 0.43
* Change search.cpan.org based URIs to metacpan.org based URIs
* Refresh spelling_errors.patch patch (offset)
2013-01-22 - Salvatore Bonaccorso <carnil@debian.org>
libsysadm-install-perl (0.42-1) unstable; urgency=low
* Imported Upstream version 0.42
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Refresh spelling_errors.patch (offset)
* Update copyright years for debian/* packaging
2012-12-18 - Salvatore Bonaccorso <carnil@debian.org>
libsysadm-install-perl (0.41-1) unstable; urgency=low
[ Nathan Handler ]
* Email change: Nathan Handler -> nhandler@debian.org
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.41
* Refresh spelling_errors.patch patch (offset)
2012-09-21 - Angel Abad <angel@debian.org>
libsysadm-install-perl (0.40-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Angel Abad ]
* Imported Upstream version 0.40
* debian/patches/spelling_errors.patch: Refresh patch
* Bump Standards-Version to 3.9.4 (no changes)
* debian/copyright: Update Debian years
2012-05-17 - Salvatore Bonaccorso <carnil@debian.org>
libsysadm-install-perl (0.39-1) unstable; urgency=low
[ Angel Abad ]
* Email change: Angel Abad -> angel@debian.org
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.39
* Update debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
* Bump Standards-Version to 3.9.3
2011-07-31 - Angel Abad <angelabad@gmail.com>
libsysadm-install-perl (0.38-1) unstable; urgency=low
[ Angel Abad]
* New upstream release
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
2011-06-26 - Angel Abad <angelabad@gmail.com>
libsysadm-install-perl (0.37-1) unstable; urgency=low
* New upstream release
2011-05-06 - Salvatore Bonaccorso <carnil@debian.org>
libsysadm-install-perl (0.36-2) unstable; urgency=low
* Refresh spelling_errors.patch (offset).
2011-05-06 - Angel Abad <angelabad@gmail.com>
libsysadm-install-perl (0.36-1) unstable; urgency=low
[ Angel Abad ]
* New upstream release
* debian/copyright: Update license stanzas
* debian/control: Remove perl (>= 5.10) | libarchive-tar-perl from
Build-Depends-Indep and Suggests
* Bump Standards-Version to 3.9.2.
[ Salvatore Bonaccorso ]
* Email change: Salvatore Bonaccorso -> carnil@debian.org
* Bump Debhelper compat level to 8.
* debian/control: Bump Build-Depends on debhelper to (>= 8).

See Also

Package Description
libsysfs-dev_2.1.0+repack-4_amd64.deb interface library to sysfs - development files
libsysfs2_2.1.0+repack-4_amd64.deb interface library to sysfs
libsyslog-ocaml-dev_1.4-6+b3_amd64.deb syslog routines for OCaml (development files)
libsyslog-ocaml_1.4-6+b3_amd64.deb syslog routines for OCaml (runtime)
libsystem-command-perl_1.110-1_all.deb Perl class for running system commands
libsystemd-daemon-dev_215-17+deb8u7_amd64.deb systemd utility library (transitional package)
libsystemd-daemon0_215-17+deb8u7_amd64.deb systemd utility library (deprecated)
libsystemd-dev_215-17+deb8u7_amd64.deb systemd utility library - development files
libsystemd-id128-0_215-17+deb8u7_amd64.deb systemd 128 bit ID utility library (deprecated)
libsystemd-id128-dev_215-17+deb8u7_amd64.deb systemd 128 bit ID utility library (transitional package)
libsystemd-journal-dev_215-17+deb8u7_amd64.deb systemd journal utility library (transitional package)
libsystemd-journal0_215-17+deb8u7_amd64.deb systemd journal utility library (deprecated)
libsystemd-login-dev_215-17+deb8u7_amd64.deb systemd login utility library (transitional package)
libsystemd-login0_215-17+deb8u7_amd64.deb systemd login utility library (deprecated)
libsystemd0_215-17+deb8u7_amd64.deb systemd utility library
Advertisement
Advertisement